import objectdraw.*;
import java.awt.*;

/*
 * Example FallingThings: an example of the Drawable2DInterface to
 * generate objects that can fall down the canvas using a generic
 * active object.
 *
 * Jim Teresco, The College of Saint Rose, CSC 252, Spring 2014
 *
 * $Id: FallingThings.java 2329 2014-02-27 02:46:26Z terescoj $
 */

public class FallingThings extends WindowController {

    // the Image objects we'll need to pass to our generators
    private Image birdImage, knightImage;
    
    // begin just loads some images
    public void begin() {
        birdImage = getImage("WhiteBird.png");
        knightImage = getImage("GoldenKnight.png");
    }
    
    // Each time we press the mouse, we'll randomly create a
    // generator for the objects that will fall down the canvas.
    // We pass in the Image objects for each VisibleImage we
    // might generate as well
    public void onMousePress(Location point) {
    
        new ItemGenerator(birdImage, knightImage, canvas);
    }

}
